com.ihr.xbrl.om.table

## Class XBRLDefinitionNodeUse

- java.lang.Object
- - com.ihr.xbrl.om.table.XBRLDefinitionNodeUse

- All Implemented Interfaces:
    java.lang.Comparable<XBRLDefinitionNodeUse>

      public class XBRLDefinitionNodeUse
      extends java.lang.Object
      implements java.lang.Comparable<XBRLDefinitionNodeUse>

  The Class XBRLDefinitionNodeUse.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(XBRLDefinitionNodeUse o)`
    `static XBRLDefinitionNodeUse` | `createDefinitionNodeUse(XBRLRelationship rel, XBRLDefinitionNode definitionNodeSubTree, XBRLDefinitionNode parent)` Creates the definition node use.
    `XBRLDefinitionNode` | `getDefinitionNode()` Gets the definition node.
    `XBRLDefinitionNode` | `getParent()` Access to the parent node of this node.
    `java.lang.String` | `getTagSelector()` Gets the tag selector.
    `boolean` | `isOpen()` Returns true if the definition node is open.
    `void` | `resetTable()` This method traverse all elements in the definition layer and cleans up all evaluated and cached resources so the table can be evaluated again. it is calles by the API automatically each time a table in the tableSet is evaluated
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### createDefinitionNodeUse

          public static XBRLDefinitionNodeUse createDefinitionNodeUse(XBRLRelationship rel,
                                                      XBRLDefinitionNode definitionNodeSubTree,
                                                      XBRLDefinitionNode parent)

      Creates the definition node use.
      Parameters:
        `rel` - the rel
        `definitionNodeSubTree` - the definition node sub tree
        `parent` - the parent
      Returns:
        the XBRL definition node use

    - #### compareTo

          public int compareTo(XBRLDefinitionNodeUse o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<XBRLDefinitionNodeUse>`

    - #### getDefinitionNode

          public XBRLDefinitionNode getDefinitionNode()

      Gets the definition node.
      Returns:
        the definitionNode

    - #### getParent

          public XBRLDefinitionNode getParent()

      Access to the parent node of this node.
      Returns:
        the parent

    - #### isOpen

          public boolean isOpen()

      Returns true if the definition node is open.
      Returns:
        true, if is open

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### resetTable

          public void resetTable()

      This method traverse all elements in the definition layer and cleans up all evaluated and cached resources so the table can be evaluated again. it is calles by the API automatically each time a table in the tableSet is evaluated

    - #### getTagSelector

          public java.lang.String getTagSelector()

      Gets the tag selector.
      Returns:
        the tag selector